"use strict";
var core_1 = require('@easy-webpack/core');
var path = require('path');
/**
 * Babel loader support for ES2015
 * See: https://github.com/babel/babel-loader
 */
function babel(options, exclude) {
    if (options === void 0) { options = {
        plugins: ['transform-decorators-legacy'],
        presets: ['es2015-loose-native-modules', 'stage-1'],
        cacheDirectory: true,
    }; }
    if (exclude === void 0) { exclude = null; }
    return function babel() {
        return {
            module: {
                loaders: core_1.get(this, 'module.loaders', []).concat([{
                        test: /\.jsx?$/,
                        loader: 'babel',
                        exclude: exclude || this.metadata.root ? [path.join(this.metadata.root, 'node_modules')] : [],
                        query: options
                    }])
            }
        };
    };
}
exports.babel = babel;
//# sourceMappingURL=index.js.map